package firefox-dev (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/pkgconfig/mozilla-nspr.pc', which is also in package xulrunner-1.9-dev 0:1.9.0.19+nobinonly-0ubuntu0.8.04.1

Bug #1000820 reported by David McKelvie on 2012-05-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

Looking for jsapi.h I tried installing firefox-dev, but this conflicted with xulrunner.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: firefox-dev (not installed)
ProcVersionSignature: Ubuntu 2.6.32-41.89-generic 2.6.32.59+drm33.24
Uname: Linux 2.6.32-41-generic i686
NonfreeKernelModules: fglrx
AptOrdering:
 firefox-dev: Install
 firefox-dev: Configure
Architecture: i386
BuildID: 20120423130206
Date: Thu May 17 15:34:55 2012
ErrorMessage: trying to overwrite '/usr/lib/pkgconfig/mozilla-nspr.pc', which is also in package xulrunner-1.9-dev 0:1.9.0.19+nobinonly-0ubuntu0.8.04.1
Extensions: extensions.sqlite corrupt or missing
Locales: extensions.sqlite corrupt or missing
Profiles: Profile0 (Default) - LastVersion=3.6.3/20100423140709 (Out of date)
SourcePackage: firefox
Themes: extensions.sqlite corrupt or missing
Title: package firefox-dev (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/pkgconfig/mozilla-nspr.pc', which is also in package xulrunner-1.9-dev 0:1.9.0.19+nobinonly-0ubuntu0.8.04.1

Micah Gersten (micahg) wrote :

This just needs a replaces from firefox-dev on xulrunner-dev

Changed in firefox (Ubuntu):
status: New → Invalid
Changed in firefox (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Triaged
Micah Gersten (micahg) wrote :

err, should really have a breaks/replaces on xulrunner-1.9-dev

Micah Gersten (micahg) wrote :

gah, wrong again, conflicts/replaces :)

Micah Gersten (micahg) on 2012-05-25
tags: added: regression-update
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 14.0~b6+build2-0ubuntu2

---------------
firefox (14.0~b6+build2-0ubuntu2) quantal-proposed; urgency=low

  * It seems that the preferences moved back again. Thanks for that last minute
    change, it's most appreciated!
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/apport/source_firefox.py.in
 -- Chris Coulson <email address hidden> Wed, 06 Jun 2012 09:43:50 +0100

Changed in firefox (Ubuntu):
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.6 KiB)

This bug was fixed in the package firefox - 14.0.1+build1-0ubuntu0.10.04.1

---------------
firefox (14.0.1+build1-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream stable release (FIREFOX_14_0_1_BUILD1)
    - see LP: #1024562 for USN information

  [ Chris Coulson <email address hidden> ]
  * Refresh patches
    - update debian/patches/ubuntu-codes-google.patch
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/plugin-for-mimetype-pref.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/add-syspref-dir.patch
  * Drop patches fixed upstream
    - remove debian/patches/revert-bmo-621446-investigation.patch
    - update debian/patches/series
  * Update desktop file translations
    - update debian/firefox.sh.in
  * Drop the application/vnd.mozilla.xul+xml mimetype from the desktop file.
    Firefox hasn't been able to view XUL files from non-chrome URI's since
    version 4.0
    - update debian/firefox.desktop.in
  * Add application/x-xpinstall to the MimeType field of the desktop file
    - update debian/firefox.desktop.in
  * Drop the ability to select between tree/system libraries using a single
    option in debian/rules. It adds additional complexity and was never used
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/pkgconfig/libxul.pc.in
    - update debian/rules
  * Fix make-makefile test failure when the build directory contains
    perl regexp control characters
    - add debian/patches/make-makefile-test-fix.patch
    - update debian/patches/series
  * Shuffle the order of google-breakpad/src/common/dwarf/Makefile.in to fix a
    variable substitution issue, which was causing some objects to be built with
    the wrong compiler flags, resulting in dump_syms crashing (LP: #1002590)
    - add debian/patches/fix-makefile-substitution-bug.patch
  * Update StartupWMClass to the correct name
    - update debian/firefox.desktop.in
    - update debian/rules
  * Add search plugin for DuckDuckGo
  * Fix LP: #1000820 - firefox-dev conflicts with xulrunner-1.9-dev for
    people with the latter still installed
    - update debian/control{,.in}
  * Add Fulah to locales.blacklist
  * Fix LP: #1013186 - install our vendor preferences as application
    defaults rather than GRE defaults, so that they are loaded after
    the upstream defaults again. The upstream defaults were also moved
    as part of the webapp runtime work (which has it's own application
    defaults)
    - update debian/firefox.install.in
  * Apport hook improvements:
    - Sort preferences alphabetically in the apport data
    - Treat preferences set in default addons as default prefs so that
      they don't show up in apport data, unless the preference files have
      been modified
    - Support random pref files dropped in to the Firefox install folder, and
      preferences from application bundles
    - Fix ordering issues when loading preferences
  * Drop debian/patches/plugin-for-mimetype-pref.patch. The burden of
    carrying this is starting to outweigh the be...

Read more...

Changed in firefox (Ubuntu Lucid):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers